 var varMyDirectivesApplication =
            angular.module('myDirectivesApplication', []);

        varMyDirectivesApplication.directive('dropdownMultiselect', function () {
            return {
                restrict: 'E',
                scope: {
                    model: '=',
                    options: '=',
                },
                template:
                        "<div class='btn-group' data-ng-class='{open: open}'>" +
                            "<button class='btn btn-small'>Select...</button>" +
                            "<button class='btn btn-small dropdown-toggle'"+ 
                           " data-ng-click='openDropdown()'>"+
                            "<span class='caret'></span></button>" +
                            "<ul class='dropdown-menu' aria-labelledby='dropdownMenu'>" +
                                "<li><a data-ng-click='selectAll()'>"+
                                "<span class='glyphicon glyphicon-ok green' aria-hidden='true'></span> Check All</a></li>" +
                                "<li><a data-ng-click='deselectAll();'><span class='glyphicon glyphicon-remove red'></span> Uncheck All</a></li>" +
                                "<li class='divider'></li>" +
                                "<li data-ng-repeat='option in options'>"+
                                "<a data-ng-click='toggleSelectItem(option)'>"+
                                "<span data-ng-class='getClassName(option)'></span> {{option.name}}</a></li>" +
                            "</ul>" +
                        "</div>",

                controller: function ($scope) {
                    $scope.openDropdown = function () {
                        $scope.open = !$scope.open;
                    };

                    $scope.selectAll = function () {
                        $scope.model = [];
                        angular.forEach($scope.options, function (item, index) {
                            $scope.model.push(item.id);
                        });
                    };

                    $scope.deselectAll = function () {
                        $scope.model = [];
                    };

                    $scope.toggleSelectItem = function (option) {
                        var intIndex = -1;
                        angular.forEach($scope.model, function (item, index) {
                            if (item == option.id) {
                                intIndex = index;
                            }
                        });

                        if (intIndex >= 0) {
                            $scope.model.splice(intIndex, 1);
                        }
                        else {
                            $scope.model.push(option.id);
                        }
                    };

                    $scope.getClassName = function (option) {
                        var varClassName = 'glyphicon glyphicon-remove red';
                        angular.forEach($scope.model, function (item, index) {
                            if (item == option.id) {
                                varClassName = 'glyphicon glyphicon-ok green';
                            }
                        });
                        return (varClassName);
                    };
                }
            }
        })
angular.module('CrmApp', ['myDirectivesApplication'])
.constant('domain','http://periscopedemo.com/ms-dev/index.php/')
.controller('ValidationCtrl', function ($scope,$http){
	 $scope.user = {};
	 $scope.mv= false;
      // calling our submit function.
        $scope.checkLogin = function() {
      	$scope.isLoading = true;
        console.log($scope.user);
        $http({
              method  : 'POST',
              url     : 'index.php/auth/login', // your application method path
              data    : $scope.user, //forms user object
              headers : {'Content-Type': 'application/x-www-form-urlencoded'} 
           }).then(function (success){

           	console.log(success.data);
           	  $scope.message = success.data.message;
           	  $scope.status = success.data.status;
           	  $scope.isLoading = false;
           	  if(!$scope.status){
           	    $scope.invalid = $scope.message;
           	    $scope.mv= true;
           	  }
           	  else{
           	  
           	    window.location.href="index.php/dashboard/index"
           	  }
           },function (error){

           });
        }
})

.controller('dashboardClt', function ($scope,$http,domain){
  console.log('dsd');
  $scope.isLoading = false;
  $scope.updateaccounts = function(){
     $scope.isLoading = true;
    $http.get(domain+"dashboard/update_accounts_latlong/").then(function(resp){
      $scope.status = resp.data.status;
       $scope.isLoading = false;
    }, function(err){
       $scope.isLoading = false;
    })
  }
   
  $scope.getdata = function(){
    console.log($scope.filter);
     $http.get(domain+"dashboard/api/"+$scope.filter).then(function(resp){
      $scope.fdata = resp.data.chart_data;
      $scope.chart = $scope.fdata.json;
      $scope.cols = $scope.fdata.keys;
      console.log($scope.fdata);
       $scope.isLoading = false;
    }, function(err){
       $scope.isLoading = false;
    })
  }
  
})
.controller('fileImportClt', function ($scope,$http,domain){
   $scope.user = {};
   $scope.mv= true;
    $scope.isLoading = true;
   $http.get(domain+"files/get_files/").then(function(resp){
      $scope.files = resp.data.dist_files;
      console.log($scope.files);
      $scope.isLoading = false;
    }, function(err){
       $scope.isLoading = false;
    })
   $scope.read= function(index){
    console.log($scope.files[index]);
      var file_id = $scope.files[index].id;
      var dist_id = $scope.files[index].distributor_id;
      console.log(file_id);
      console.log(dist_id);
      $scope.mv= true;
    $scope.isLoading = true;
      var url = domain+'readfile/index?dis_file_id='+file_id+"&dist_id="+dist_id;
      $http.get(url).then(function(resp){
        console.log(resp.data);
       if(resp.data.status){
        //window.location.href=domain+"supplier/index";
       }
       $scope.isLoading = false;
      }, function(err){
        $scope.isLoading = false;
      
      })
   }
   $scope.read2= function(index){
    var file_id = $scope.files[index].id;
      var dist_id = $scope.files[index].distributor_id;
      console.log(file_id);
      console.log(dist_id);
      $scope.mv= true;
    $scope.isLoading = true;
      var url = domain+'readexcelfile/index?dis_file_id='+file_id+"&dist_id="+dist_id;
      $http.get(url).then(function(resp){
        console.log(resp.data);
       if(resp.data.status){
        //window.location.href=domain+"supplier/index";
       }
       $scope.isLoading = false;
      }, function(err){
        $scope.isLoading = false;
      
      })
   }     
})
.controller('CreateSupplierCtrl', function ($scope,$http,domain,$location){
  /*$scope.users = [
                { "id": 1, "name": "Ali" },
                { "id": 2, "name": "Sara" },
                { "id": 3, "name": "Babak" },
                { "id": 4, "name": "Sanaz" },
                { "id": 5, "name": "Dariush" },
            ];

            $scope.selectedUserIds = [3, 5];*/
            $scope.selectedUserIds = [1];
    $http.get(domain+'supplier/get_distributors').then(function(resp){
      console.log(resp.data);
      $scope.users = resp.data.distributors;
     $scope.isLoading = false;
    }, function(err){
    
    })
   $scope.supplier = {};
   $scope.mv= false;
    $scope.isLoading = true;

    $http.get(domain+'supplier/product_lines').then(function(resp){
      console.log(resp.data);
      $scope.product_lines = resp.data.product_lines;
     $scope.isLoading = false;
    }, function(err){
    
    })
    $scope.supplier={};
    var url = window.location.pathname;
    var url_array = url.split('/');
    console.log(url_array);
    console.log(url_array[5]);
    if(url_array[5]){
      var id = url_array[5];
      var admin_id = url_array[6];
      var http_url = domain+'supplier/get_supplier_info?id='+id+'&admin_id='+admin_id;
      console.log(http_url);
      $http.get(http_url).then(function(resp){
        console.log(resp.data.data);
        $scope.supplier_info = resp.data.data[0];
        console.log( $scope.supplier_info);
        $scope.supplier.supplier_name = $scope.supplier_info.supplier_name;
        $scope.supplier.supplier_address = $scope.supplier_info.supplier_address;
        $scope.supplier.phone = $scope.supplier_info.supplier_phone;
        $scope.supplier.email = $scope.supplier_info.supplier_email;
        $scope.supplier.product_line_id = $scope.supplier_info.line_id;

        $scope.supplier.admin_name = $scope.supplier_info.supplier_admin_name;
        $scope.supplier.username =  $scope.supplier_info.login_name;
        $scope.supplier.password =  $scope.supplier_info.password;
        $scope.supplier.supplier_address2 = $scope.supplier_info.admin_address;
        $scope.supplier.phone2 = $scope.supplier_info.admin_phone;
        $scope.supplier.email2 = $scope.supplier_info.admin_email;
        $scope.supplier.supplier_id = $scope.supplier_info.supplier_id;
        var supplier_id__ = $scope.supplier_info.supplier_id;
        //$scope.supplier.product_line_id = $scope.supplier_info.line_id;
       $scope.isLoading = false;
      }, function(err){
      
      }) 
    }
      // calling our submit function.
      //$scope.supplier = {};
     /* if(supplier_id__){
        $scope.supplier.supplier_id = supplier_id__
      }*/
        $scope.createSupplier = function() {
        $scope.isLoading = true;
        console.log($scope.supplier);
        if($scope.supplier.supplier_id){
          $scope.supplier.distributors = $scope.selectedUserIds;
          $http({
              method  : 'POST',
              url     : domain+'supplier/update', // your application method path
              data    : $scope.supplier, //forms user object
              headers : {'Content-Type': 'application/x-www-form-urlencoded'} 
           }).then(function (success){

            console.log(success);
              $scope.message = success.data.message;
              $scope.status = success.data.status;
              $scope.isLoading = false;
              
              if($scope.status){
              $scope.updated = true;
                //window.location.href=domain+"supplier/index";
                 // $scope.supplier = {};
              }
           },function (error){

           });
        }else{
          $scope.supplier.distributors = $scope.selectedUserIds;
          $http({
              method  : 'POST',
              url     : domain+'supplier/save', // your application method path
              data    : $scope.supplier, //forms user object
              headers : {'Content-Type': 'application/x-www-form-urlencoded'} 
           }).then(function (success){

            console.log(success.data);
              $scope.message = success.data.message;
              $scope.status = success.data.status;
              $scope.isLoading = false;
              
              if($scope.status){
              
               window.location.href=domain+"supplier/index";
                  $scope.supplier = {};
              }
           },function (error){

           });
        }
        
    }
})


.controller('CreateSuppliermanagerCtrl', function ($scope,$http,domain,$location){
   $scope.supplier = {};
   $scope.mv= false;
    $scope.isLoading = true;

   
    var url = window.location.pathname;
    var url_array = url.split('/');
    console.log(url_array);
    console.log(url_array[5]);
    if(url_array[5]){
      var id = url_array[5];
      var admin_id = url_array[6];
      var http_url = domain+'suppliermanager/get_suppliermanager_info?id='+id;
      console.log(http_url);
      $http.get(http_url).then(function(resp){
        console.log(resp.data.data);
        $scope.supplier_manager_info = resp.data.data[0];
        console.log( $scope.supplier_manager_info);
        $scope.supplier.supplier_name = $scope.supplier_manager_info.supplier_manager_name;
        $scope.supplier.supplier_address = $scope.supplier_manager_info.address;
        $scope.supplier.phone = $scope.supplier_manager_info.supplier_manager_phone;
        $scope.supplier.email = $scope.supplier_manager_info.supplier_manager_email;
        $scope.supplier.username =  $scope.supplier_manager_info.login_name;
        $scope.supplier.password =  $scope.supplier_manager_info.password;
		 $scope.supplier.supplier_manager_id =  $scope.supplier_manager_info.id;
        $scope.isLoading = false;
      }, function(err){
      
      }) 
    }
      // calling our submit function.
      //$scope.supplier = {};
     /* if(supplier_id__){
        $scope.supplier.supplier_id = supplier_id__
      }*/
        $scope.createSupplierManager = function() {
        $scope.isLoading = true;
        console.log($scope.supplier);
        if($scope.supplier.supplier_manager_id){
          $http({
              method  : 'POST',
              url     : domain+'suppliermanager/update', // your application method path
              data    : $scope.supplier, //forms user object
              headers : {'Content-Type': 'application/x-www-form-urlencoded'} 
           }).then(function (success){

            console.log(success);
              $scope.message = success.data.message;
              $scope.status = success.data.status;
              $scope.isLoading = false;
              
              if($scope.status){
              $scope.updated = true;
                //window.location.href=domain+"supplier/index";
                 // $scope.supplier = {};
              }
           },function (error){

           });
        }else{
          $http({
              method  : 'POST',
              url     : domain+'suppliermanager/save', // your application method path
              data    : $scope.supplier, //forms user object
              headers : {'Content-Type': 'application/x-www-form-urlencoded'} 
           }).then(function (success){

            console.log(success.data);
              $scope.message = success.data.message;
              $scope.status = success.data.status;
              $scope.isLoading = false;
              
              if($scope.status){
              
               window.location.href=domain+"supplierrep/supplierrepsearch";
                  $scope.supplier = {};
              }
           },function (error){

           });
        }
        
    }
})

.controller('CreateSupplierrepCtrl', function ($scope,$http,domain,$location){
   $scope.supplier = {};
   $scope.mv= false;
    $scope.isLoading = true;


     $http.get(domain+'supplierrep/supplier_manager_info_to_load_dropdown').then(function(resp){
      console.log(resp.data);
      $scope.managerlist = resp.data.supplier_manager_info_to_load_dropdown;
     $scope.isLoading = false;
    }, function(err){
    
    })

   
    var url = window.location.pathname;
    var url_array = url.split('/');
    console.log(url_array);
    console.log(url_array[5]);
    if(url_array[5]){
      var id = url_array[5];
      var admin_id = url_array[6];
      var http_url = domain+'supplierrep/get_supplierrep_info?id='+id;
      console.log(http_url);
      $http.get(http_url).then(function(resp){
        console.log(resp.data.data);
        $scope.supplier_manager_info = resp.data.data[0];
        console.log( $scope.supplier_manager_info);
        $scope.supplier.supplier_name = $scope.supplier_manager_info.ClientRepName;
        $scope.supplier.supplier_address = $scope.supplier_manager_info.ClientRepAddress;
        $scope.supplier.phone = $scope.supplier_manager_info.ClientRepPhone;
        $scope.supplier.email = $scope.supplier_manager_info.client_rep_email;
        $scope.supplier.username =  $scope.supplier_manager_info.login_name;
        $scope.supplier.password =  $scope.supplier_manager_info.password;
        $scope.supplier.supplier_manager_id =  $scope.supplier_manager_info.supplier_manager_id;
          $scope.supplier.ClientRepID =  $scope.supplier_manager_info.ClientRepID;
        $scope.isLoading = false;
      }, function(err){
      
      }) 
    }
      // calling our submit function.
      //$scope.supplier = {};
     /* if(supplier_id__){
        $scope.supplier.supplier_id = supplier_id__
      }*/
        $scope.createSupplierRep = function() {
        $scope.isLoading = true;
        console.log($scope.supplier);
        if($scope.supplier.ClientRepID){
          $http({
              method  : 'POST',
              url     : domain+'supplierrep/update', // your application method path
              data    : $scope.supplier, //forms user object
              headers : {'Content-Type': 'application/x-www-form-urlencoded'} 
           }).then(function (success){

            console.log(success);
              $scope.message = success.data.message;
              $scope.status = success.data.status;
              $scope.isLoading = false;
              
              if($scope.status){
              $scope.updated = true;
                //window.location.href=domain+"supplier/index";
                 // $scope.supplier = {};
              }
           },function (error){

           });
        }else{
          $http({
              method  : 'POST',
              url     : domain+'supplierrep/save', // your application method path
              data    : $scope.supplier, //forms user object
              headers : {'Content-Type': 'application/x-www-form-urlencoded'} 
           }).then(function (success){

            console.log(success.data);
              $scope.message = success.data.message;
              $scope.status = success.data.status;
              $scope.isLoading = false;
              
              if($scope.status){
              
               window.location.href=domain+"supplierrep/supplierrepsearch";
                  $scope.supplier = {};
              }
           },function (error){

           });
        }
        
    }
})