<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Dashboard extends CI_Controller {
	public function __construct() 
    {
        parent::__construct();
        if(!$this->session->userdata("logged_in")) {
         redirect(base_url());
            // do something
        }
        $this->load->model('dashboard_model');
        $this->load->library('multiquery');
        ini_set('max_execution_time', '3600');
		ini_set('memory_limit', '2048M');
    }
	public function index(){
		$data = array(
			'heading_title' => 'Dashboard',
			'no_of_sales'	=>	$this->dashboard_model->get_count_of_sales(),
			'no_of_activites'=>	$this->dashboard_model->get_count_of_activities(),
			'recent_activites'=>	$this->dashboard_model->recentactivites()
			);
		$res = $this->dashboard_model->init_brand_report(1);
		$data['chart_data'] =$res['json'];
		//print_r()
		$this->load->view('admin/common/header',$data);
		$this->load->view('admin/common/navbar');
		$this->load->view('admin/dashboard');
		$this->load->view('admin/common/footer');
	}
	public function api($filter){
		$res = $this->dashboard_model->init_brand_report($filter);
		$data['chart_data'] =$res;
		//print_r($data);
		echo json_encode($data,JSON_NUMERIC_CHECK);
	}
	public function update_accounts_latlong(){
		//$supplier = $this->session->userdata("supplier");
		$supplier =1;
		$this->db->select('CONCAT_WS(", ",acc.Address,acc.City,acc.state,acc.Zipcode) as address,acc.AccountID');
		$this->db->from('ptsl_accountinfo acc');
		$this->db->join('ptsl_account_suppliers s','s.account_id = acc.AccountID','');
		$this->db->where('s.supplier_id',$supplier);
		$this->db->where('acc.latitude is null');
		$data = $this->db->get()->result_array();
		//echo $this->db->last_query();
		//print_r($data); exit;
		//echo count($data); exit;
		$cnt= 0 ;
//'AIzaSyB5OJP82vVVMnrKpx8OQWWmh0h7ecguilI',
		//AIzaSyCmU-nwYP_TXseQyqK-ydH0UqWmQPqZhQs shah's account
		$api_keys = array('AIzaSyAO0uN8Yyn-SHgKOX5MdHS8B6vqIRspFa4','AIzaSyCmU-nwYP_TXseQyqK-ydH0UqWmQPqZhQs','AIzaSyCrSTMmRS8md20ncxVjnQtknZZfaaUwRnQ','AIzaSyB5OJP82vVVMnrKpx8OQWWmh0h7ecguilI');
		foreach ($data as $key => $value) {
			if((1+$key)%2200 == 0){
				$cnt++;	
			}
			echo $value['AccountID'];
			$this->makelatlong($value['address'],$value['AccountID'],$api_keys[$cnt]);
		}
		$response = array(
			'status' => true,
			'message' => 'updated'
		);
		echo json_encode($response);
	}
	private function makelatlong($address,$account_id,$key){

        $geocode_api = "https://maps.googleapis.com/maps/api/geocode/json?address=".urlencode($address)."&key=".$key;
        //echo $geocode_api; return;
        $ch = curl_init() or die(curl_error());
        curl_setopt($ch, CURLOPT_URL,$geocode_api);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        $data = curl_exec($ch);
        $decoded_json_code = json_decode($data);
        if($decoded_json_code){
            $lat = @$decoded_json_code->results[0]->geometry->location->lat;
            $long = @$decoded_json_code->results[0]->geometry->location->lng;
            $data1['latitude'] = $lat;
            $data1['longitude'] = $long;
            $this->db->where('AccountID',$account_id);
            $res = $this->db->update('ptsl_accountinfo',$data1);
            return $res; 
        }
        
    }
	public function logout(){
		$this->session->unset_userdata('userdata');
		$this->session->sess_destroy();
		redirect(base_url());
	} 
}