<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Supplier extends CI_Controller {
	public function __construct() 
    {
        parent::__construct();
        if(!$this->session->userdata("logged_in")) {
         redirect(base_url());
            // do something
        }
        $this->load->model('supplier_model');
        $this->load->library('multiquery');
    }
	public function index(){
		$list = $this->supplier_model->get_suppliers();
		$data = array(
			'heading_title' => 'Dashboard',
			'list' => $list
			
			);
		$this->load->view('admin/common/header',$data);
		$this->load->view('admin/common/navbar');
		$this->load->view('admin/supplier/supllier_list');
		$this->load->view('admin/common/footer');
	}
	public function product_lines(){
		$data  = $this->supplier_model->get_product_line();
		if($data){
			$response = array(

					'status'=> True,

					'product_lines'=> $data

				);
		}else{
			$response = array(

					'status'=> FALSE,

					'message'=> 'No data Found'

				);
		}
		echo json_encode($response);
	}
	public function get_distributors(){
		$this->db->select('DistributorID as id, Name as name');
		$data  = $this->db->get('ptsl_distributor')->result_array();
		if($data){
			$response = array(

					'status'=> True,

					'distributors'=> $data

				);
		}else{
			$response = array(

					'status'=> FALSE,

					'message'=> 'No data Found'

				);
		}
		echo json_encode($response);
	}
	public function create(){
		$data = array(
			'heading_title' => 'Create Supplier',
			
			);
		$this->load->view('admin/common/header',$data);
		$this->load->view('admin/common/navbar');
		$this->load->view('admin/supplier/create_supplier');
		$this->load->view('admin/common/footer');
	}
	public function create_supplier_manager(){
		$data = array(
			'heading_title' => 'Create Supplier Supplier',			
			);
		$this->load->view('admin/common/header',$data);
		$this->load->view('admin/common/navbar');
		$this->load->view('admin/supplier/create_supplier_manager');
		$this->load->view('admin/common/footer');
	}
	
	public function save(){
		$errors = array();
		$data = array();
		$post_data = json_decode(file_get_contents('php://input'), true);
		//$post_data = $this->input->post();
		$res = $this->supplier_model->save_supplier($post_data);
		if($res){
			$response = array(
				'status' => True,
				'message' => 'Data Saved'
			);
				echo json_encode($response);
		}
			
	}
	public function edit($id,$admin_id){
		$list = $this->supplier_model->get_suppliers($id,$admin_id);
	
		$data = array(
			'heading_title' => 'Create Supplier',
			'supplier_info' => $list[0]
			
			);
		$this->load->view('admin/common/header',$data);
		$this->load->view('admin/common/navbar');
		$this->load->view('admin/supplier/create_supplier');
		$this->load->view('admin/common/footer');
	}
	public function update(){
		$post_data = json_decode(file_get_contents('php://input'), true);
		//$post_data  = $this->input->post();
		$res = $this->supplier_model->update_supplier($post_data);
		if($res){
			$response = array(
				'status' => True,
				'message' => 'Data Saved'
			);
				echo json_encode($response);
		}
	}
	public function get_supplier_info(){
		$id = $this->input->get('id');
		$admin_id = $this->input->get('admin_id');
		$result= $this->supplier_model->get_supplier_details($id,$admin_id);
		if($result){
			$response = array(
				'status' => True,
				'data' => $result
			);
				echo json_encode($response);
		}else{
			$response = array(
				'status' => FALSE,
				'message' => 'No data Found'
			);
				echo json_encode($response);
		}

	}
      
	
}